name: linuxserver-resilio-sync
services:
  app:
    image: linuxserver/resilio-sync:3.1.2
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
    ports:
      - target: 8888
        published: 8888
        protocol: tcp
      - target: 55555
        published: 55555
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/resilio-sync/config
        target: /config
      - type: bind
        source: /srv/lsio/resilio-sync/downloads
        target: /downloads
      - type: bind
        source: /srv/lsio/resilio-sync/sync
        target: /sync
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Resilio-sync (formerly BitTorrent Sync) uses the BitTorrent protocol to sync files and folders between all of your devices. There are both free and paid versions, this container supports both. There is an official sync image but we created this one as it supports user mapping to simplify permissions for volumes.
  tagline:
    en_us: (formerly BitTorrent Sync) uses the BitTorrent protocol to sync files and folders between all of your devices. There are both free and paid versions, this container supports both. There is an official sync image but we created this one as it supports user mapping to simplify permissions for volumes.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/resilio-sync-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/resilio-sync-logo.png
  title:
    en_us: Resilio sync
  category: LinuxServer.io
